PLASMA 2.8.0 PLASMA - Parallel Linear Algebra for Scalable Multi-core Architectures

- Main Page
- Modules
- Data Types List

int PLASMA_sgesv_Tile | ( | PLASMA_desc * | A,
|  | int * | IPIV,
|  | PLASMA_desc * | B
| ) |  |

PLASMA_sgesv_Tile - Solves a system of linear equations using the tile LU factorization. Tile equivalent of PLASMA_sgesv(). Operates on matrices stored by tiles. All matrices are passed through descriptors. All dimensions are taken from the descriptors.

Parameters

  [in,out] | A | On entry, the N-by-N coefficient matrix A. On exit, the tile L and U factors from the factorization.
  [out] | IPIV | On exit, the pivot indices that define the permutations.
  [in,out] | B | On entry, the N-by-NRHS matrix of right hand side matrix B. On exit, if return value = 0, the N-by-NRHS solution matrix X.

Returns

Return values

  PLASMA_SUCCESS | successful exit
  >0 | if i, U(i,i) is exactly zero. The factorization has been completed, but the factor U is exactly singular, so the solution could not be computed.

See also
  PLASMA_sgesv
  PLASMA_sgesv_Tile_Async
  PLASMA_cgesv_Tile
  PLASMA_dgesv_Tile
  PLASMA_sgesv_Tile
  PLASMA_scgesv_Tile